
  <ion-card *ngIf="isImgUploading && !isImgUploaded">
    <ion-card-content>
      <div *ngIf="progressNum | async as percentage">
        Progreso: {{ percentage | number }}%
        <ion-progress-bar value="{{ percentage / 100 }}"></ion-progress-bar>
      </div>
      <div *ngIf="progressSnapshot | async as pSnapshot">
        Tamaño imagen: {{ pSnapshot.totalBytes | fileSize }} Transferido:
        {{ pSnapshot.bytesTransferred | fileSize }}
        <div *ngIf="progressSnapshot && pSnapshot.bytesTransferred !== pSnapshot.totalBytes">
          <ion-button color="danger" fill="outline" size="small" (click)="ngFireUploadTask.cancel()">Cancelar</ion-button>
          <ion-button color="tertiary" fill="outline" size="small" (click)="ngFireUploadTask.pause()">Pausar</ion-button>
          <ion-button color="dark" fill="outline" size="small" (click)="ngFireUploadTask.resume()" class="button">Reanudar
          </ion-button>
        </div>
      </div>
    </ion-card-content>
  </ion-card>

  <ion-card style="text-align: center;" *ngIf="!isImgUploading && isImgUploaded;else photo">
    <ion-card-content>
      <ion-card-header>
        <ion-card-title>
          Foto de perfil actualizada
        </ion-card-title>
      </ion-card-header>
      <div *ngIf="fileUploadedPath | async as url">
        <img style="width: 100px !important;height: 100px;border-radius: 50%;" [src]="url" />
      </div>
      <button  style="display:block;width:120px; height:30px;" onclick="document.getElementById('getFile').click()">CHANGE IMAGE</button>
      <input type='file' id="getFile" style="display:none" class="upload" (change)="fileUpload($event.target.files)">
    </ion-card-content>
  </ion-card>

  <ng-template #photo>
    <ion-card style="text-align: center;">
      <ion-card-header>
        <ion-card-title>
        </ion-card-title>
      </ion-card-header>
        <ion-card-content>
          <img style="width: 100px !important;height: 100px;border-radius: 50%;" [src]="userDetail.img" />
        </ion-card-content>
        <button  style="display:block;width:120px; height:30px;" onclick="document.getElementById('getFile').click()">CHANGE IMAGE</button>
        <input type='file' id="getFile" style="display:none" class="upload" (change)="fileUpload($event.target.files)">
<!--         <ion-button color="tertiary" class="ion-margin" expand="block">
          <input type="file" class="upload" (change)="fileUpload($event.target.files)" />
        </ion-button> -->
    </ion-card>
  </ng-template>


